@mixin esspass-12-grid-template {
  display: grid;
  grid-template-columns: repeat(12, 6.5rem);
  grid-gap: 3rem;
  justify-content: center;
}

@mixin esspass-5-grid-random-width-gap-template($width, $gap) {
  display: grid;
  grid-template-columns: repeat(5, $width);
  grid-gap: $gap;
  justify-content: center;
  align-items: center;
}

.container {
  @include esspass-12-grid-template;
  color: #000;

  .border {
    grid-column: 1 / -1;
    grid-row: 1;
    border-bottom: 1px solid black;
  }

  div:nth-child(1) {
    grid-row-start: 2;
    grid-column: 1/4;
    display: block;
    font-size: 2.2rem;
    line-height: 2.6rem;
    width: 100%;
    margin: 0;
    font-style: normal;
    font-weight: 600;
    letter-spacing: 0.132rem;
  }

  div:nth-child(2) {
    grid-row-start: 2;
    grid-column: 5/9;
    font-size: 1.6rem;
    line-height: 2.3rem;
  }

  div:nth-child(3) {
    grid-row-start: 2;
    grid-column: 11/13;

    section {
      display: flex;
      align-items: center;
      cursor: pointer;
      font-weight: bolder;
      text-decoration: underline;

      &:nth-child(1) {
        margin: 0 0.5rem;

        span {
          margin-right: 0.25rem;
        }
      }

      &:nth-child(2) {
        margin: 1rem 0.5rem;

        span {
          margin-right: 0.5rem;
        }
      }

      &:nth-child(3) {
        text-decoration: none;
      }
    }
  }

  div:nth-child(4) {
    grid-row-start: 3;
    grid-column: 1/13;
    display: block;
  }

  div:nth-child(5) {
    grid-row-start: 4;
    grid-column: 1/3;
    display: block;
    border: none;
    margin-bottom: 2rem;
  }

  div:nth-child(6) {
    grid-row-start: 4;
    grid-column: 5/8;
    display: block;
    border: none;

    section {
      margin: 0.5rem;
      padding: 1rem 0;

      span {
        margin-right: 0.25rem;
      }
    }
  }

  div:nth-child(7) {
    grid-row-start: 4;
    grid-column: 10/13;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    height: 4rem;
    font-size: 1.2rem;
    span {
      padding: 1rem 0.5rem;
      border: 1px solid black;
      border-radius: 0.5rem;
    }
  }
}

.contact-us {
  border-radius: 3rem;
  padding: 0.55rem 1rem;
  border: var(--esspass-login-purple) 1px solid;
  width: 35%;
  margin-bottom: 2rem;

  span {
    font-weight: normal;
  }
}

@media screen and (max-width: 1024px) {
  .container {
    @include esspass-5-grid-random-width-gap-template(7rem, 0.5rem);
    font-size: 1.6rem;

    div:nth-child(1) {
      grid-row-start: 2;
      grid-column: 1/6;
      border: none;
      margin: 2rem 0;
    }

    div:nth-child(2) {
      grid-row-start: 3;
      grid-column: 1/6;
      padding: 2.5rem 0;
      text-align: justify;
      margin-bottom: 2.5rem;
      border-bottom: 1px solid black;
    }

    div:nth-child(3) {
      grid-row-start: 4;
      grid-column: 1/6;
      text-align: justify;
      border-bottom: 1px solid black;
    }

    div:nth-child(5) {
      grid-row-start: 5;
      grid-column: 1/6;
      padding-top: 2rem;
      text-align: justify;
    }

    div:nth-child(6) {
      grid-row-start: 6;
      grid-column: 1/6;
      width: 100%;
      border: none;
      padding: 0 0 2.5rem 0;

      section {
        display: inline;
        text-decoration: underline;

        span {
          margin-right: 0.25rem;
        }
      }
    }

    div:nth-child(7) {
      font-size: 1.2rem;
      grid-row-start: 7;
      grid-column: 1/6;
      margin-bottom: 2rem;
      display: flex;
      justify-content: flex-start;
    }
  }

  #border {
    display: none;
  }

  .contact-us {
    width: 25%;
  }
}
